# Uses of Interface
jebl.evolution.distances.DistanceMatrix

Packages that use DistanceMatrix
Package
Description
jebl.evolution.align
Provides classes and interfaces for pairwise alignment of two sequences.
jebl.evolution.distances
jebl.evolution.io
jebl.evolution.trees

## Uses of DistanceMatrix in jebl.evolution.align

Classes in jebl.evolution.align that implement DistanceMatrix
Modifier and Type
Class
Description
`class`
`SequenceAlignmentsDistanceMatrix`
Builds a distance matrix by performing a series of pairwise alignments between the specified sequences (unlike the methods in jebl.evolution.distances, which extract the pairwise distances from a multiple sequence alignment).
Fields in jebl.evolution.align declared as DistanceMatrix
Modifier and Type
Field
Description
`final DistanceMatrix`
AlignmentTreeBuilderFactory.Result.`distance`

## Uses of DistanceMatrix in jebl.evolution.distances

Classes in jebl.evolution.distances that implement DistanceMatrix
Modifier and Type
Class
Description
`class`
`BasicDistanceMatrix`
`class`
`F84DistanceMatrix`
`class`
`HKYDistanceMatrix`
Compute HKY corrected distance matrix
`class`
`JukesCantorDistanceMatrix`
Compute jukes-cantor corrected distance matrix for a set of aligned sequences.
`class`
`TamuraNeiDistanceMatrix`
Date: 22/01/2006 Time: 17:28:59
Methods in jebl.evolution.distances that return DistanceMatrix
Modifier and Type
Method
Description
`DistanceMatrix`
BasicDistanceMatrix.`getSubmatrix(Collection<Taxon> taxonSubset)`
Gets a sub-matrix for only those taxa in the collection (all of which should be present in this matrix).
`DistanceMatrix`
DistanceMatrix.`getSubmatrix(Collection<Taxon> taxa)`
Gets a sub-matrix for only those taxa in the collection (all of which should be present in this matrix).

## Uses of DistanceMatrix in jebl.evolution.io

Methods in jebl.evolution.io that return DistanceMatrix
Modifier and Type
Method
Description
`DistanceMatrix`
NexusImporter.`parseDistancesBlock(List<Taxon> taxonList)`
Parse the next 'DISTANCES' block encountered in the input.
Methods in jebl.evolution.io that return types with arguments of type DistanceMatrix
Modifier and Type
Method
Description
`List<DistanceMatrix>`
DistanceMatrixImporter.`importDistanceMatrices()`
importDistances.
`List<DistanceMatrix>`
NexusImporter.`importDistanceMatrices()`
Import all distance matrices from all DISTANCES blocks in the input form the current position.
`List<DistanceMatrix>`
TabDelimitedImporter.`importDistanceMatrices()`
importDistances.
Methods in jebl.evolution.io with parameters of type DistanceMatrix
Modifier and Type
Method
Description
`void`
NexusExporter.`exportMatrix(DistanceMatrix distanceMatrix)`

## Uses of DistanceMatrix in jebl.evolution.trees

Methods in jebl.evolution.trees with parameters of type DistanceMatrix
Modifier and Type
Method
Description
`static ClusteringTreeBuilder`
ClusteringTreeBuilder.`getBuilder(TreeBuilderFactory.Method method, DistanceMatrix distances)`
A factory method to create a ClusteringTreeBuilder
`static ClusteringTreeBuilder`
TreeBuilderFactory.`getBuilder(TreeBuilderFactory.Method method, DistanceMatrix distances)`
Constructors in jebl.evolution.trees with parameters of type DistanceMatrix
Modifier
Constructor
Description
``
`NeighborJoiningTreeBuilder(DistanceMatrix distanceMatrix)`
construct NJ tree